using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Table("GeneralLedger", Schema = "fp")]
[Index("AccountId", Name = "IX_GeneralLedger_Account")]
[Index("BudgetConfigId", Name = "IX_GeneralLedger_BudgetDollarsConfig")]
[Index("DepartmentId", Name = "IX_GeneralLedger_Department")]
[Index("EntityId", Name = "IX_GeneralLedger_Entity")]
[Index("EntityGroupConfigId", "FlexingTypeId", Name = "IX_GeneralLedger_EntityGroupConfig")]
public partial class GeneralLedger
{
    [Key]
    [Column("GeneralLedgerID")]
    public int GeneralLedgerId { get; set; }

    [Column("BudgetConfigID")]
    public int BudgetConfigId { get; set; }

    [Column("EntityGroupConfigID")]
    public int EntityGroupConfigId { get; set; }

    [Column("EntityID")]
    public int EntityId { get; set; }

    [Column("DepartmentID")]
    public int DepartmentId { get; set; }

    [Column("AccountID")]
    public int AccountId { get; set; }

    [Column("FinancialReportingID")]
    public int FinancialReportingId { get; set; }

    [Column("VariabilityID")]
    public int VariabilityId { get; set; }

    [Column("APEModelSectionID")]
    public byte ApemodelSectionId { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime AddDate { get; set; }

    public bool IsNew { get; set; }

    [Column("FlexingTypeID")]
    public short FlexingTypeId { get; set; }

    [Column("ChangeHistoryGroupingGUID")]
    public Guid ChangeHistoryGroupingGuid { get; set; }

    public byte BudgetLockType { get; set; }

    public byte BudgetLockFlag { get; set; }

    public byte TargetLockType { get; set; }

    public byte TargetLockFlag { get; set; }

    public byte ProjectionLockType { get; set; }

    public byte ProjectionLockFlag { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudgetTotal { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjectionTotal { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetTotal { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionTotal { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjustedTotal { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjustedTotal { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjustedTotal { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledBudget12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal SampledProjection12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudget12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjection12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetAdjusted12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetAdjusted12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionAdjusted12 { get; set; }

    [Column("InitialBudgetDollarsPerUOS01", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos01 { get; set; }

    [Column("InitialBudgetDollarsPerUOS02", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos02 { get; set; }

    [Column("InitialBudgetDollarsPerUOS03", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos03 { get; set; }

    [Column("InitialBudgetDollarsPerUOS04", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos04 { get; set; }

    [Column("InitialBudgetDollarsPerUOS05", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos05 { get; set; }

    [Column("InitialBudgetDollarsPerUOS06", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos06 { get; set; }

    [Column("InitialBudgetDollarsPerUOS07", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos07 { get; set; }

    [Column("InitialBudgetDollarsPerUOS08", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos08 { get; set; }

    [Column("InitialBudgetDollarsPerUOS09", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos09 { get; set; }

    [Column("InitialBudgetDollarsPerUOS10", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos10 { get; set; }

    [Column("InitialBudgetDollarsPerUOS11", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos11 { get; set; }

    [Column("InitialBudgetDollarsPerUOS12", TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetDollarsPerUos12 { get; set; }

    [Column("InitialProjectionDollarsPerUOS01", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos01 { get; set; }

    [Column("InitialProjectionDollarsPerUOS02", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos02 { get; set; }

    [Column("InitialProjectionDollarsPerUOS03", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos03 { get; set; }

    [Column("InitialProjectionDollarsPerUOS04", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos04 { get; set; }

    [Column("InitialProjectionDollarsPerUOS05", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos05 { get; set; }

    [Column("InitialProjectionDollarsPerUOS06", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos06 { get; set; }

    [Column("InitialProjectionDollarsPerUOS07", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos07 { get; set; }

    [Column("InitialProjectionDollarsPerUOS08", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos08 { get; set; }

    [Column("InitialProjectionDollarsPerUOS09", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos09 { get; set; }

    [Column("InitialProjectionDollarsPerUOS10", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos10 { get; set; }

    [Column("InitialProjectionDollarsPerUOS11", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos11 { get; set; }

    [Column("InitialProjectionDollarsPerUOS12", TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionDollarsPerUos12 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted01", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted01 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted02", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted02 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted03", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted03 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted04", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted04 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted05", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted05 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted06", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted06 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted07", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted07 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted08", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted08 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted09", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted09 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted10", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted10 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted11", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted11 { get; set; }

    [Column("TargetDollarsPerUOSAdjusted12", TypeName = "decimal(18, 0)")]
    public decimal TargetDollarsPerUosadjusted12 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted01", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted01 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted02", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted02 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted03", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted03 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted04", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted04 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted05", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted05 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted06", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted06 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted07", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted07 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted08", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted08 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted09", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted09 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted10", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted10 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted11", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted11 { get; set; }

    [Column("BudgetDollarsPerUOSAdjusted12", TypeName = "decimal(18, 0)")]
    public decimal BudgetDollarsPerUosadjusted12 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted01", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted01 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted02", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted02 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted03", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted03 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted04", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted04 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted05", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted05 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted06", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted06 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted07", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted07 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted08", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted08 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted09", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted09 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted10", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted10 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted11", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted11 { get; set; }

    [Column("ProjectionDollarsPerUOSAdjusted12", TypeName = "decimal(18, 0)")]
    public decimal ProjectionDollarsPerUosadjusted12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialBudgetPercentOfCharge12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal InitialProjectionPercentOfCharge12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentOfChargeAdjusted12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentOfChargeAdjusted12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentOfChargeAdjusted12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal TargetPercentAdjustmentFactor12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal BudgetPercentAdjustmentFactor12 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal ProjectionPercentAdjustmentFactor12 { get; set; }

    [ForeignKey("DepartmentId")]
    [InverseProperty("GeneralLedgers")]
    public virtual DimDepartment Department { get; set; } = null!;
}
